
from operator import attrgetter
import pyangbind.lib.xpathhelper as xpathhelper
from pyangbind.lib.yangtypes import RestrictedPrecisionDecimalType, RestrictedClassType, TypedListType
from pyangbind.lib.yangtypes import YANGBool, YANGListType, YANGDynClass, ReferenceType
from pyangbind.lib.base import PybindBase
from decimal import Decimal
from bitarray import bitarray
import __builtin__
class bd_label_info_mct(PybindBase):
  """
  This class was auto-generated by the PythonClass plugin for PYANG
  from YANG module brocade-mct-operational - based on the path /show-cluster-mem-bd-mct-state/bd-label-info-mct. Each member element of
  the container is represented as a class variable - with a specific
  YANG type.

  YANG Description: BD Label Info for Show Cluster Clients
  """
  __slots__ = ('_pybind_generated_by', '_path_helper', '_yang_name', '_rest_name', '_extmethods', '__bd_id','__unicast_label_local','__mcast_label_local',)

  _yang_name = 'bd-label-info-mct'
  _rest_name = 'bd-label-info-mct'

  _pybind_generated_by = 'container'

  def __init__(self, *args, **kwargs):

    path_helper_ = kwargs.pop("path_helper", None)
    if path_helper_ is False:
      self._path_helper = False
    elif path_helper_ is not None and isinstance(path_helper_, xpathhelper.YANGPathHelper):
      self._path_helper = path_helper_
    elif hasattr(self, "_parent"):
      path_helper_ = getattr(self._parent, "_path_helper", False)
      self._path_helper = path_helper_
    else:
      self._path_helper = False

    extmethods = kwargs.pop("extmethods", None)
    if extmethods is False:
      self._extmethods = False
    elif extmethods is not None and isinstance(extmethods, dict):
      self._extmethods = extmethods
    elif hasattr(self, "_parent"):
      extmethods = getattr(self._parent, "_extmethods", None)
      self._extmethods = extmethods
    else:
      self._extmethods = False
    self.__unicast_label_local = YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="unicast-label-local", rest_name="unicast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)
    self.__mcast_label_local = YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="mcast-label-local", rest_name="mcast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)
    self.__bd_id = YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="bd-id", rest_name="bd-id", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, is_keyval=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)

    load = kwargs.pop("load", None)
    if args:
      if len(args) > 1:
        raise TypeError("cannot create a YANG container with >1 argument")
      all_attr = True
      for e in self._pyangbind_elements:
        if not hasattr(args[0], e):
          all_attr = False
          break
      if not all_attr:
        raise ValueError("Supplied object did not have the correct attributes")
      for e in self._pyangbind_elements:
        nobj = getattr(args[0], e)
        if nobj._changed() is False:
          continue
        setmethod = getattr(self, "_set_%s" % e)
        if load is None:
          setmethod(getattr(args[0], e))
        else:
          setmethod(getattr(args[0], e), load=load)

  def _path(self):
    if hasattr(self, "_parent"):
      return self._parent._path()+[self._yang_name]
    else:
      return [u'show-cluster-mem-bd-mct-state', u'bd-label-info-mct']

  def _rest_path(self):
    if hasattr(self, "_parent"):
      if self._rest_name:
        return self._parent._rest_path()+[self._rest_name]
      else:
        return self._parent._rest_path()
    else:
      return [u'show-cluster-mem-bd-mct-state', u'bd-label-info-mct']

  def _get_bd_id(self):
    """
    Getter method for bd_id, mapped from YANG variable /show_cluster_mem_bd_mct_state/bd_label_info_mct/bd_id (uint32)

    YANG Description: BD Id
    """
    return self.__bd_id
      
  def _set_bd_id(self, v, load=False):
    """
    Setter method for bd_id, mapped from YANG variable /show_cluster_mem_bd_mct_state/bd_label_info_mct/bd_id (uint32)
    If this variable is read-only (config: false) in the
    source YANG file, then _set_bd_id is considered as a private
    method. Backends looking to populate this variable should
    do so via calling thisObj._set_bd_id() directly.

    YANG Description: BD Id
    """
    parent = getattr(self, "_parent", None)
    if parent is not None and load is False:
      raise AttributeError("Cannot set keys directly when" +
                             " within an instantiated list")

    if hasattr(v, "_utype"):
      v = v._utype(v)
    try:
      t = YANGDynClass(v,base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="bd-id", rest_name="bd-id", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, is_keyval=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)
    except (TypeError, ValueError):
      raise ValueError({
          'error-string': """bd_id must be of a type compatible with uint32""",
          'defined-type': "uint32",
          'generated-type': """YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="bd-id", rest_name="bd-id", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, is_keyval=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)""",
        })

    self.__bd_id = t
    if hasattr(self, '_set'):
      self._set()

  def _unset_bd_id(self):
    self.__bd_id = YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="bd-id", rest_name="bd-id", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, is_keyval=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)


  def _get_unicast_label_local(self):
    """
    Getter method for unicast_label_local, mapped from YANG variable /show_cluster_mem_bd_mct_state/bd_label_info_mct/unicast_label_local (uint32)

    YANG Description: Unicast Local Label
    """
    return self.__unicast_label_local
      
  def _set_unicast_label_local(self, v, load=False):
    """
    Setter method for unicast_label_local, mapped from YANG variable /show_cluster_mem_bd_mct_state/bd_label_info_mct/unicast_label_local (uint32)
    If this variable is read-only (config: false) in the
    source YANG file, then _set_unicast_label_local is considered as a private
    method. Backends looking to populate this variable should
    do so via calling thisObj._set_unicast_label_local() directly.

    YANG Description: Unicast Local Label
    """
    if hasattr(v, "_utype"):
      v = v._utype(v)
    try:
      t = YANGDynClass(v,base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="unicast-label-local", rest_name="unicast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)
    except (TypeError, ValueError):
      raise ValueError({
          'error-string': """unicast_label_local must be of a type compatible with uint32""",
          'defined-type': "uint32",
          'generated-type': """YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="unicast-label-local", rest_name="unicast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)""",
        })

    self.__unicast_label_local = t
    if hasattr(self, '_set'):
      self._set()

  def _unset_unicast_label_local(self):
    self.__unicast_label_local = YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="unicast-label-local", rest_name="unicast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)


  def _get_mcast_label_local(self):
    """
    Getter method for mcast_label_local, mapped from YANG variable /show_cluster_mem_bd_mct_state/bd_label_info_mct/mcast_label_local (uint32)

    YANG Description: Mcast Local Label
    """
    return self.__mcast_label_local
      
  def _set_mcast_label_local(self, v, load=False):
    """
    Setter method for mcast_label_local, mapped from YANG variable /show_cluster_mem_bd_mct_state/bd_label_info_mct/mcast_label_local (uint32)
    If this variable is read-only (config: false) in the
    source YANG file, then _set_mcast_label_local is considered as a private
    method. Backends looking to populate this variable should
    do so via calling thisObj._set_mcast_label_local() directly.

    YANG Description: Mcast Local Label
    """
    if hasattr(v, "_utype"):
      v = v._utype(v)
    try:
      t = YANGDynClass(v,base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="mcast-label-local", rest_name="mcast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)
    except (TypeError, ValueError):
      raise ValueError({
          'error-string': """mcast_label_local must be of a type compatible with uint32""",
          'defined-type': "uint32",
          'generated-type': """YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="mcast-label-local", rest_name="mcast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)""",
        })

    self.__mcast_label_local = t
    if hasattr(self, '_set'):
      self._set()

  def _unset_mcast_label_local(self):
    self.__mcast_label_local = YANGDynClass(base=RestrictedClassType(base_type=long, restriction_dict={'range': ['0..4294967295']}, int_size=32), is_leaf=True, yang_name="mcast-label-local", rest_name="mcast-label-local", parent=self, path_helper=self._path_helper, extmethods=self._extmethods, register_paths=True, namespace='urn:brocade.com:mgmt:brocade-mct-operational', defining_module='brocade-mct-operational', yang_type='uint32', is_config=False)

  bd_id = __builtin__.property(_get_bd_id)
  unicast_label_local = __builtin__.property(_get_unicast_label_local)
  mcast_label_local = __builtin__.property(_get_mcast_label_local)


  _pyangbind_elements = {'bd_id': bd_id, 'unicast_label_local': unicast_label_local, 'mcast_label_local': mcast_label_local, }


